Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QSizePolicy.PolicyFlag

    java.lang.Object
      java.lang.Enum<QSizePolicy.PolicyFlag>
          com.trolltech.qt.gui.QSizePolicy.PolicyFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSizePolicy.PolicyFlag>

Enclosing class:
  QSizePolicy

    public static enum QSizePolicy.PolicyFlag

extends java.lang.Enum<QSizePolicy.PolicyFlag>
implements QtEnumerator

These flags are combined together to form the various Policy values:

Constant | Value | Description
--- | --- | ---
`GrowFlag` | `1` | The widget can grow beyond its size hint if necessary.
`ExpandFlag` | `2` | The widget should get as much space as possible.
`ShrinkFlag` | `4` | The widget can shrink below its size hint if necessary.
`IgnoreFlag` | `8` | The widget's size hint is ignored. The widget will get as much space as possible.

See Also:
  Policy

Enum Constant Summary
`ExpandFlag` The widget should get as much space as possible.
`GrowFlag` The widget can grow beyond its size hint if necessary.
`IgnoreFlag` The widget's size hint is ignored.
`ShrinkFlag` The widget can shrink below its size hint if necessary.

Method Summary
`static QSizePolicy.PolicyFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSizePolicy.PolicyFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSizePolicy.PolicyFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GrowFlag

    public static final QSizePolicy.PolicyFlag GrowFlag

  The widget can grow beyond its size hint if necessary.

### ExpandFlag

    public static final QSizePolicy.PolicyFlag ExpandFlag

  The widget should get as much space as possible.

### ShrinkFlag

    public static final QSizePolicy.PolicyFlag ShrinkFlag

  The widget can shrink below its size hint if necessary.

### IgnoreFlag

    public static final QSizePolicy.PolicyFlag IgnoreFlag

  The widget's size hint is ignored. The widget will get as much space as possible.

Method Detail

### values

    public static final QSizePolicy.PolicyFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSizePolicy.PolicyFlag c : QSizePolicy.PolicyFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSizePolicy.PolicyFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSizePolicy.PolicyFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD